namespace eval fluke45 {} {
}

proc stdConfig::fluke45 {{expr {X * 1}} {unit V}} {
  variable name

  controller std "\n" 5 ">"
  prop startcmd "*IDN?"

  GraphAdd $name $unit $name auto

  obj Fluke45 rd
  prop readcmd "MEAS?"
  prop update fluke45::update
  prop readfmt "%g"
  prop expr $expr

  kids "$name (fluke 45)" {
    node raw upd
  }
}


proc fluke45::update {} {
  scan [sct result] "%f" x
  updateval [sct]/raw $x
  set cmd [string map {X $x} "expr [sct expr]"]
  sct update [eval $cmd]
  return idle
}

