# keithley 6487 picoammeter / voltage source
namespace eval k6487 {} {
}

proc stdConfig::k6487 {} {
  controller std "\n" 5
  prop startcmd "*IDN?"

  obj Keithley6487 wr
  prop readcmd "SOUR:VOLT?"
  prop writecmd "SOUR:VOLT %.12g"
  kids "k6487 voltage source" {
    node voltrange wr -int
    prop read "SOUR:VOLT:RANGE?"
    prop write "SOUR:VOLT:RANGE %d"
    prop enum 10=10,50=50,500=500
  }
}

