# software dvm


namespace eval sdvm {
}

if {![namespace exists trun]} {
  source drivers/trun.tcl
}

proc stdConfig::sdvm args {
  variable name
  variable path
  variable node
  
  scanargs $args var -invar -outvar

# custinp, custout:
#   custom input / output function
#   log: allow choice between linear and logarithmic
#   none: only linear
#   else: a custom function. the last arguments are either
#      <value>                  forward conversion
#      inv <value>              inverted conversion

  variable hostport none
  controller dumprot

  }

  obj dvm -upd out
  prop lastinput 0
  prop custinp $custinp1
  prop custinp $custinp2

  kids "$title settings" {
    node dctime par $dctime
    prop help {time held at one polarity [sec]}

    node current par $current
    prop help {set current in A}

    node invar -text out
    default 0
    prop check piloop::setinvar
    prop write stdSct::completeUpdate
    prop visible false
    
    node outvar -text par $outvar
    prop visible false
    
