#----- eurotherm furnace -----

proc makeEuro {tf {mode control}} {
  makenv $tf euro2k
  catch {
    $tf makepar pb w 6 K
    $tf makepar ti w time 8
    $tf makepar td w time 9
    $tf makepar manual w int 273
    $tf makepar rate w 35 K/min
    $tf makepar workset w 5 @  
    $tf upperLimit 800
    $tf lowerLimit 0
    $tf tolerance 0.05
    $tf maxwait 7200 
    $tf settle 0
    $tf position 50
  }
clientput "EURO $tf"
  obj_list $tf eurotherm furnace
  defineTemperature $tf
  if {[string equal control $mode]} {
    Layout euro $tf
  } else {
    $tf manual
  }
}

proc euroLayout {tf} {
#  Input "eurotherm set T" "run $tf/[result $tf targetValue]"
  Input "eurotherm set T" "run te/[result te targetValue]"
  Input "ramp rate K/min" "te rate"
  Label "more parameters available: see 'te list'"  
}
