#----- TESLATRON lambda controller ------
proc makeLc {} {
  makenv lc lc
  Layout lc
}

proc lcLayout args {
  Group lc "lambda controller"
}

proc lcGroup {} {
  showStatus lc
  Label "Values for manual control:"
  Label "cooldown 35 mbar, hold 15 mbar"
  Tip target coil temperature
  Input "target" "lc lambdaTarget"
  Newline
  RadioGroup "lc progress"
  Label "lambda status"
  NoNewline
  RadioButton 0 off
  NoNewline
  RadioButton 1 cooling
  NoNewline
  RadioButton 2 ok
  Newline
  Input "needle valve pos" "lc setgas"
  Tip "pressure while lambda stage cooldown \[mbar\]"
  Input "cooldown pressure" "lc upperlimit"
  Tip "lambda temperature control prop \[mbar/K\]"
  Input "T prop" "lc prop"
  Tip "lambda temperature control int \[mbar/K/min\]"
  Input "T int" "lc int"
  Tip "valve control prop \[%/K\]"
  Input "valve prop" "lc prop2"
  Tip "valve control int \[%/K/min\]"
  Input "valve int" "lc int2"
}

